classification
Title: test_asyncio.test_sendfile.test_sendfile_ssl_pre_and_post_data(): Overlapped still has pending operation at deallocation error on AMD64 Windows8.1 Non-Debug 3.x
Type: Stage: resolved
Components: asyncio, Tests, Windows Versions: Python 3.9
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, paul.moore, steve.dower, tim.golden, vstinner, yselivanov, zach.ware
Priority: normal Keywords:

Created on 2019-11-14 14:04 by vstinner, last changed 2020-05-18 15:41 by vstinner. This issue is now closed.

Messages (2)
msg356608 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-11-14 14:04
AMD64 Windows8.1 Non-Debug 3.x:
https://buildbot.python.org/all/#/builders/12/builds/3450

test_sendfile_ssl_pre_and_post_data (test.test_asyncio.test_sendfile.ProactorEventLoopTests) ...

Warning -- Unraisable exception
Traceback (most recent call last):
  File "D:\buildarea\3.x.ware-win81-release.nondebug\build\lib\asyncio\windows_events.py", line 430, in select
    self._poll(timeout)
RuntimeError: <_overlapped.Overlapped object at 0x000000106FDD7AE0> still has pending operation at deallocation, the process may crash

Error on reading from the event loop self pipe
loop: <ProactorEventLoop running=True closed=False debug=False>
Traceback (most recent call last):
  File "D:\buildarea\3.x.ware-win81-release.nondebug\build\lib\asyncio\windows_events.py", line 453, in finish_recv
    return ov.getresult()
OSError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\buildarea\3.x.ware-win81-release.nondebug\build\lib\asyncio\proactor_events.py", line 768, in _loop_self_reading
    f.result()  # may raise
  File "D:\buildarea\3.x.ware-win81-release.nondebug\build\lib\asyncio\windows_events.py", line 808, in _poll
    value = callback(transferred, key, ov)
  File "D:\buildarea\3.x.ware-win81-release.nondebug\build\lib\asyncio\windows_events.py", line 457, in finish_recv
    raise ConnectionResetError(*exc.args)
ConnectionResetError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request

ok
msg369251 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-05-18 15:41
I didn't see this race condition recently, I just close the issue as out of date.
History
Date User Action Args
2020-05-18 15:41:12vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg369251

stage: resolved
2019-11-14 14:04:03vstinnercreate